#!/usr/bin/env python
# $Id: emdash.py,v 1.3 2010/11/22 17:44:57 irees Exp $

import sys
import os
import emen2.clients
import emen2.clients.handlers
import emen2.clients.emdash.config


from PyQt4 import QtGui, QtCore

class AppManager(QtGui.QWidget):
	def newsession(self, username=None, password=None):
		window = emen2.clients.emdash.upload.Upload(parent=self)
		window.login(username=username, password=password)


if __name__ == '__main__':

	parser = emen2.clients.controllers.DBRPCOptions()
	parser.add_option("--microscope","-m", type="int", help="Microscope folder Record ID (e.g. 110, 114..)")
	parser.add_option("--session_rectype","-s", type="string", help="Session Protocol (Default is microscopy)", default='microscopy')
	parser.add_option("--tif2mrc", metavar="<0|1>", dest="tif2mrc", type="int", help="Scan Option: See nikontiff2mrc for options and defaults for the following options:", default=True)		
	parser.add_option("--bin", metavar="<n>", dest="bin", type="float", help="Scan Option: bin the pixels. default to 1 (no binning)")	
	parser.add_option("--invert", metavar="<0|1>", dest="invert", type="int", help="Scan Option: invert the contrast to make particles white. default to 0")	
	parser.add_option("--ODconversion", metavar="<0|1>", dest="odconversion", type="int", help="Scan Option: if convert pixel value from transmitted light intensity to O.D. of the film. enabled by default")
	
	# Copy config variables to config.options..
	options, args = parser.parse_args(sys.argv)
	emen2.clients.emdash.config.options = options	

	import emen2.clients.emdash.upload

	uploader = 'microscope'
	try: uploader = args[1]
	except:	pass

	# This is a somewhat ugly hack to install the scan handler for .tif files.
	if uploader == "scan":
		emen2.clients.handlers.map_filename_rectype['.tif'] = 'scan'


	uploaders = {
		'none': emen2.clients.emdash.upload.BaseUpload,
		'microscope': emen2.clients.emdash.upload.MicroscopeUpload,
		'scan': emen2.clients.emdash.upload.ScanUpload
	}
	uploader = uploaders.get(uploader)

		
	app = QtGui.QApplication(sys.argv)
	window = uploader()
	window.login(username=emen2.clients.emdash.config.options.username, password=emen2.clients.emdash.config.options.password)
	sys.exit(app.exec_())	
	
	
	
__version__ = "$Revision: 1.3 $".split(":")[1][:-1].strip()
